> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /messari/signals

> Rank crypto assets by social mindshare and market sentiment

**Price:** 1 credit

**💡 AI Hint:** Rank crypto assets by social mindshare (share of crypto social attention) and market sentiment over a 30-day window, optionally filtered by sector. Each asset has its name, slug, symbol, sectors, market cap, mindshare percentage and its change, mindshare rank, current sentiment score and its change. Use it to find trending assets and narrative shifts.



## OpenAPI

````yaml /openapi-filtered.json post /api/messari/signals
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/messari/signals:
    post:
      tags:
        - /messari
      summary: /messari/signals
      description: >-
        Rank crypto assets by social mindshare and market sentiment


        **Price:** 1 credit


        **💡 AI Hint:** Rank crypto assets by social mindshare (share of crypto
        social attention) and market sentiment over a 30-day window, optionally
        filtered by sector. Each asset has its name, slug, symbol, sectors,
        market cap, mindshare percentage and its change, mindshare rank, current
        sentiment score and its change. Use it to find trending assets and
        narrative shifts.
      operationId: __api_messari_signals_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MessariSignalsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MessariSignal'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MessariSignalsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          description: Max scrapping execution timeout (in seconds)
          default: 300
        count:
          type: integer
          minimum: 1
          description: Max number of assets to return
        sector:
          anyOf:
            - type: string
            - type: 'null'
          description: Filter by sector (e.g. 'Networks', 'DeFi')
        sort:
          $ref: '#/components/schemas/MessariSignalsSort'
          description: Field to sort assets by
          default: mindsharePercentage
        order:
          $ref: '#/components/schemas/MessariSortOrder'
          description: Sort order
          default: desc
      type: object
      required:
        - count
    MessariSignal:
      properties:
        '@type':
          type: string
          default: MessariSignal
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        slug:
          anyOf:
            - type: string
            - type: 'null'
        symbol:
          anyOf:
            - type: string
            - type: 'null'
        sectors:
          items:
            type: string
          type: array
          default: []
        sub_sectors:
          items:
            type: string
          type: array
          default: []
        market_cap:
          anyOf:
            - type: number
            - type: 'null'
        mindshare_percentage:
          anyOf:
            - type: number
            - type: 'null'
        mindshare_percentage_change:
          anyOf:
            - type: number
            - type: 'null'
        mindshare_rank:
          anyOf:
            - type: integer
            - type: 'null'
        current_sentiment:
          anyOf:
            - type: number
            - type: 'null'
        sentiment_change:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    MessariSignalsSort:
      type: string
      enum:
        - mindsharePercentage
        - mindsharePercentageChange
        - currentSentiment
    MessariSortOrder:
      type: string
      enum:
        - desc
        - asc
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````